List themes
curl --request GET \
--url https://app.loops.so/api/v1/themes \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.loops.so/api/v1/themes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.loops.so/api/v1/themes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"totalResults": 123,
"returnedResults": 123,
"perPage": 123,
"totalPages": 123,
"nextCursor": "<string>",
"nextPage": "<string>"
},
"data": [
{
"id": "<string>",
"name": "<string>",
"styles": {
"backgroundColor": "<string>",
"backgroundXPadding": 123,
"backgroundYPadding": 123,
"bodyColor": "<string>",
"bodyXPadding": 123,
"bodyYPadding": 123,
"bodyFontFamily": "<string>",
"bodyFontCategory": "<string>",
"borderColor": "<string>",
"borderWidth": 123,
"borderRadius": 123,
"buttonBodyColor": "<string>",
"buttonBodyXPadding": 123,
"buttonBodyYPadding": 123,
"buttonBorderColor": "<string>",
"buttonBorderWidth": 123,
"buttonBorderRadius": 123,
"buttonTextColor": "<string>",
"buttonTextFormat": 123,
"buttonTextFontSize": 123,
"dividerColor": "<string>",
"dividerBorderWidth": 123,
"textBaseColor": "<string>",
"textBaseFontSize": 123,
"textBaseLineHeight": 123,
"textBaseLetterSpacing": 123,
"textLinkColor": "<string>",
"heading1Color": "<string>",
"heading1FontSize": 123,
"heading1LineHeight": 123,
"heading1LetterSpacing": 123,
"heading2Color": "<string>",
"heading2FontSize": 123,
"heading2LineHeight": 123,
"heading2LetterSpacing": 123,
"heading3Color": "<string>",
"heading3FontSize": 123,
"heading3LineHeight": 123,
"heading3LetterSpacing": 123
},
"isDefault": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}{
"message": "<string>"
}Themes
List themes
Retrieve a paginated list of email themes, most recently created first.
GET
/
v1
/
themes
List themes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
How many results to return in each request. Must be between 10 and 50. Default is 20.
A cursor to return a specific page of results. Cursors can be found from the pagination.nextCursor value in each response.
Last modified on July 20, 2026
Related topics
ThemesAPI IntroductionCampaigns API examplesTransactional email API examplesUpdate a themeWas this page helpful?
⌘I

